net.minecraft.tileentity

## Class MobSpawnerBaseLogic

- java.lang.Object
- - net.minecraft.tileentity.MobSpawnerBaseLogic

-     public abstract class MobSpawnerBaseLogic
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `field_98284_d`
    `double` | `field_98287_c`
    `int` | `spawnDelay` The delay to spawn.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MobSpawnerBaseLogic()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canRun()` Returns true if there's a player close enough to this mob spawner to activate it.
    `Entity` | `func_98265_a(Entity par1Entity)`
    `abstract void` | `func_98267_a(int i)`
    `Entity` | `func_98281_h()`
    `String` | `getEntityNameToSpawn()` Gets the entity name that should be spawned.
    `WeightedRandomMinecart` | `getRandomMinecart()`
    `abstract World` | `getSpawnerWorld()`
    `abstract int` | `getSpawnerX()`
    `abstract int` | `getSpawnerY()`
    `abstract int` | `getSpawnerZ()`
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)`
    `boolean` | `setDelayToMin(int par1)` Sets the delay to minDelay if parameter given is 1, else return false.
    `void` | `setMobID(String par1Str)`
    `void` | `setRandomMinecart(WeightedRandomMinecart par1WeightedRandomMinecart)`
    `void` | `updateSpawner()`
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### spawnDelay

          public int spawnDelay

      The delay to spawn.

    - #### field_98287_c

          public double field_98287_c

    - #### field_98284_d

          public double field_98284_d

  - ### Constructor Detail

    - #### MobSpawnerBaseLogic

          public MobSpawnerBaseLogic()

  - ### Method Detail

    - #### getEntityNameToSpawn

          public String getEntityNameToSpawn()

      Gets the entity name that should be spawned.

    - #### setMobID

          public void setMobID(String par1Str)

    - #### canRun

          public boolean canRun()

      Returns true if there's a player close enough to this mob spawner to activate it.

    - #### updateSpawner

          public void updateSpawner()

    - #### func_98265_a

          public Entity func_98265_a(Entity par1Entity)

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

    - #### setDelayToMin

          public boolean setDelayToMin(int par1)

      Sets the delay to minDelay if parameter given is 1, else return false.

    - #### func_98281_h

          public Entity func_98281_h()

    - #### getRandomMinecart

          public WeightedRandomMinecart getRandomMinecart()

    - #### setRandomMinecart

          public void setRandomMinecart(WeightedRandomMinecart par1WeightedRandomMinecart)

    - #### func_98267_a

          public abstract void func_98267_a(int i)

    - #### getSpawnerWorld

          public abstract World getSpawnerWorld()

    - #### getSpawnerX

          public abstract int getSpawnerX()

    - #### getSpawnerY

          public abstract int getSpawnerY()

    - #### getSpawnerZ

          public abstract int getSpawnerZ()